#ifndef LOGMSG_INCLUDED
#define LOGMSG_INCLUDED

#include <xsi_application.h>


using namespace XSI; 
using namespace XSI::MATH; 

const void logmsg(double in){
	Application().LogMessage(CString(CValue(in)));
}
const void logmsg(CValue in){
		Application().LogMessage(CString(in));
}
const void logmsg(CValue in, CString in_str){
	Application().LogMessage(CString(in) + L" "+ in_str);
}
const void logmsg(CString in_str, CValue in){
	Application().LogMessage(in_str + L" " + CString(in));
}
const void logmsg(CString in_str, CValue in, CString in_strEnd){
	Application().LogMessage(in_str + L" " + CString(in) + L" " + in_strEnd);
}
const void logmsg(CString s,CVector3 val)
{
		Application().LogMessage(s+L"x:"+CString(CValue(val.GetX() )) +L"		y:"+CString(CValue(val.GetY() ))
			+L"		z:"+CString(CValue(val.GetZ() )) 
			);
}
const void logmsg(CVector3 val)
{
	Application().LogMessage(L"x:"+CString(CValue(val.GetX() )) +L"		y:"+CString(CValue(val.GetY() ))
			+L"		z:"+CString(CValue(val.GetZ() )) 
			);
}
const void logclock(CString in_str, clock_t init)
{
	clock_t final = (clock() - init)* 1000/ CLOCKS_PER_SEC;
	logmsg(in_str, final, L"ms");
}

#endif // LOGMSG_INCLUDED INCLUDED